Bug 1240170 - Unable to start BackupPC due to missing /var/run/BackupPC [NEEDINFO]
Summary: Unable to start BackupPC due to missing /var/run/BackupPC
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: BackupPC
Version: epel7
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Benjamin Lefoul
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-06 06:29 UTC by Jan ONDREJ
Modified: 2016-07-18 18:49 UTC (History)
4 users (show)

Fixed In Version: BackupPC-3.3.1-4.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-18 18:49:55 UTC
Type: Bug
pim: needinfo? (bjohnson)


Attachments (Terms of Use)

Description Jan ONDREJ 2015-07-06 06:29:44 UTC
Description of problem:
Unable to start BackupPC on CentOS7, looks like same problem as bug #730053.

Version-Release number of selected component (if applicable):
BackupPC-3.3.1-1.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1. systemctl restart backuppc.service
2. tail /var/log/BackupPC/LOG

Actual results:
2015-07-06 08:21:14 Reading hosts file
2015-07-06 08:21:14 unix bind() failed: No such file or directory

Expected results:
runnnig backuppc process

Additional info:
Here is fix:

[root@backup ~]# cat /etc/tmpfiles.d/BackupPC.conf 
D /var/run/BackupPC 0775 root backuppc -

Comment 1 Pim Rupert 2016-01-27 14:15:22 UTC
Is the current BackupPC package actively maintained?

Comment 2 Julian Tosh 2016-03-07 23:09:25 UTC
Unsatisfied with any workarounds, I created this script in /usr/local/bin/fixBackupPC

> #!/bin/bash
> mkdir /var/run/BackupPC
> chown backuppc.backuppc /var/run/BackupPC
> systemctl restart backuppc

and then added '@reboot /usr/local/bin/fixBackupPC > /dev/null 2>&1' to root's crontab.

Comment 3 Pim Rupert 2016-03-08 16:22:21 UTC
@Julian Tosh: that is an awfully ugly work-around, I recommend you use the one provided by in comment #1:

# echo "D /var/run/BackupPC 0775 root backuppc -" > /etc/tmpfiles.d/BackupPC.conf

Comment 4 Julian Tosh 2016-03-08 17:36:00 UTC
I was not aware of the tempfiles system, how it worked, and its use, therefore didn't recognize what was being suggested.

Now, with your prodding, it is clear to me. Very cool. Thanks for making me learn something new.

Comment 5 Fedora Update System 2016-06-30 07:15:13 UTC
BackupPC-3.3.1-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8e3110a7ad

Comment 6 Fedora Update System 2016-06-30 22:18:40 UTC
BackupPC-3.3.1-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8e3110a7ad

Comment 7 Fedora Update System 2016-07-18 18:49:45 UTC
BackupPC-3.3.1-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.